export default Object.freeze({
    ORDER: Object.freeze({
        CREATED: Object.freeze({
            TITLE: 'Create order',
            MESSAGE: 'Orders has been created successfully'
        }),
        WAREHOUSE_CONFIRMED: Object.freeze({
            TITLE: 'Confirm warehouse',
            MESSAGE: 'Order\'s warehouse has been confirmed successfully'
        }),
        WAREHOUSE_RECEIVE: Object.freeze({
            TITLE: 'Receive note',
            MESSAGE: 'Warehouse has received the order successfully'
        }),
        PACKING_LIST: Object.freeze({
            TITLE: 'Packing list',
            MESSAGE: 'Packing list has been updated successfully'
        }),
        PACKED: Object.freeze({
            TITLE: 'Pack order',
            MESSAGE: 'Order has been packed successfully'
        }),
        SHIPPING_ARRANGEMENT: Object.freeze({
            TITLE: 'Shipping arrangement',
            MESSAGE: 'Shipping arrangement has been updated successfully'
        }),
        SHIPPING_RESCHEDULE: Object.freeze({
            TITLE: 'Reschedule shipping arrangement',
            MESSAGE: 'Shipping arrangement has been rescheduled successfully'
        }),
        PORT_ARRIVAL: Object.freeze({
            TITLE: 'Port arrival',
            MESSAGE: 'Order has arrived to port successfully'
        }),
        WAREHOUSE_ARRIVAL: Object.freeze({
            TITLE: 'Warehouse arrival',
            MESSAGE: 'Order has arrived to warehouse successfully'
        }),
        UNPACKED: Object.freeze({
            TITLE: 'Unpack Order',
            MESSAGE: 'Order has been unpacked successfully'
        }),
        DELIVERY_ARRANGEMENT: Object.freeze({
            TITLE: 'Delivery arrangement',
            MESSAGE: 'Delivery arrangement has been updated successfully'
        }),
        DELIVERY_RESCHEDULE: Object.freeze({
            TITLE: 'Reschedule delivery arrangement',
            MESSAGE: 'Delivery arrangement has been rescheduled successfully'
        }),
        COMPLETE: Object.freeze({
            TITLE: 'Order complete',
            MESSAGE: 'Order has been delivered successfully'
        })
    }),
    IMPORTER: Object.freeze({
        DETAILS: {
            CREATED: {
                TITLE: 'Created Successfully',
                MESSAGE: "created successfully"
            },
            DETAILS_UPDATED: {
                TITLE: "updated",
                MESSAGE: "updated"
            }
        },
        ADDRESS_BOOK: {
            TITLE: null,
            MESSAGE: null,
            UPDATED: {
                TITLE: null,
                MESSAGE: null
            }
        },
    }),
    WAREHOUSE: Object.freeze({
        DETAILS_CREATED: {
            TITLE: 'Warehouse created',
            MESSAGE: 'warehouse created',
            UPDATED: Object.freeze({
                TITLE: 'warehouse updated',
                MESSAGE: 'warehouse updated'
            })
        },
        CONTACT: {
            CREATED: {
                TITLE: 'new contact created',
                MESSAGE: 'new contact created'
            },
            UPDATED: {
                TITLE: 'Contact updated',
                MESSAGE: 'Contact updated'
            }
        }
    })
});